#!/bin/csh

# delete v4.5
set dnetdir=/home/groups/home/web/dnet
set imgdir=/home/groups/home/web/
set v50dir=$dnetdir/50v

set module=(dnet.cgi dnreml.cgi dnremlc.cgi dnrich.cgi dnrinfo.cgi dnrrefer.cgi dnrsch.cgi dnruset.cgi xaddropt xagent.cgi xalarm xcabinet.cgi xdoc.cgi xdocreminder xenquete.cgi xforum.cgi xinfo.cgi xkoubai.cgi xlogaccess xlogdisksize xmail.cgi xmailintg xmailrefer.cgi xmailsearch xmemp.cgi xpay.cgi xproject.cgi xrefer.cgi xreminder xreport.cgi xsearch.cgi xstock.cgi xtag.cgi xwmlrecv)
set page=(dnrcommsg.html dnrcommsgexperr.html dnrcommsgimperr.html dnrcommsgimpok.html dnrcommsgwarn.html dnrmailprint.html xaddrentry.html xaddrentrydetail.html xaddrlist.html xaddrlistsearch.html xaddrrefer.html xaddrreferdetail.html xcomattachselect.html xcomconfirm.html xcomhtmleditentry.html xcomhtmleditlist.html xcommsg.html xdocentry.html xdocrefer.html xdocsetautoloaderr.html xdocsetautoloadfolderentry.html xdocsetautoloadmailentry.html xdocsetautoloadmaillist.html xenqrefer.html xenqsetrefer.html xforumarticle.html xforumarticlelisttree.html xforumarticletree.html xinfoentry.html xinfoentryspeditor.html xinfosetadmin.html xinfosetgen.html xlicensemulti.html xmailaccount.html xmailaccountclear.html xmaildelconfirm.html xmaildusttray.html xmailfilter.html xmailgenprivate.html xmailprint.html xmailsend.html xmailsendconfirm.html xmailsendspeditor.html xmailsetaccount.html xmailsetadmin.html xmailsetcapacityentry.html xmailsetcapacityselect.html xmailsetgen.html xmailsubwindow.html xmailtrouble.html xreportpdhedit.html xschsetadmin.html xschsetgen.html xschsubwindow.html xsetmodulesx.html xsetskype.html xsetsmtp.html xsetuserdispitem.html xsetusers.html xsetusersopt.html xtcardsetsync.html xusetgroups.html xusetsetadmin.html xusetsetgen.html xusetsetgroups.html xusetsubwindow.html xusetusersaddress.html xusetusersaddrsearch.html xusetusersadmin.html xusetusersopt.html)
set help=(circlerouteuser enqrouteuser flowrouteuser forumarticles forumartlisttree forumarttree forumgenprivate infogenprivate mailaccountclear maildusttray mailgenprivate maillist mailsend mailtroubleentry psetgroup psetgroupadd psetgroupmod pseticon usetgrpindex usetindex usetusersadmin usetusersopt)

set local=(com doc license mail message message.rich pset rich sch set tcard uset)

# module delete
foreach m($module)
	rm -f $dnetdir/$m
end
foreach p($page)
	rm -f $dnetdir/page/$p
end
foreach h($help)
	rm -f $dnetdir/help/$h
end
foreach l($local)
	rm -f $dnetdir/local.jp/$l
end

# data move
rm -rf $dnetdir/data/version
rm -rf $dnetdir/data/module/sengine
rm -rf $dnetdir/file/no_image.gif

# image move
rm -f $imgdir/neoimage/common/ajax.gif
rm -f $imgdir/neoimage/common/flash.gif
rm -f $imgdir/neoimage/common/menu_userlist.gif
rm -f $imgdir/neoimage/common/s_off.gif
rm -f $imgdir/neoimage/common/s_on.gif
rm -f $imgdir/neoimage/common/black/menu_userlist_on.gif
rm -f $imgdir/neoimage/common/blue/menu_userlist_on.gif
rm -f $imgdir/neoimage/common/green/menu_userlist_on.gif
rm -f $imgdir/neoimage/common/orange/menu_userlist_on.gif
rm -f $imgdir/neoimage/common/pink/menu_userlist_on.gif
rm -f $imgdir/neoimage/common/red/menu_userlist_on.gif

rm -f $imgdir/neoimage/dnr/backimg01.gif
rm -f $imgdir/neoimage/dnr/btn_back.gif
rm -f $imgdir/neoimage/dnr/btn_back_ro.gif
rm -f $imgdir/neoimage/dnr/btn_close.gif
rm -f $imgdir/neoimage/dnr/btn_close_ro.gif
rm -f $imgdir/neoimage/dnr/btn_ok.gif
rm -f $imgdir/neoimage/dnr/btn_ok_ro.gif
rm -f $imgdir/neoimage/dnr/fotter_backimg.gif
rm -f $imgdir/neoimage/dnr/header_back.gif
rm -f $imgdir/neoimage/dnr/icon_folder.gif
rm -f $imgdir/neoimage/dnr/icon_setting.gif


## -- recover v4.5

tar zxvf $dnetdir/v45.tar.gz

# module move
set v45tar=home/groups/home/web/dnet/v45
cp -fr $v45tar/neoimage $imgdir/.
cp -fr $v45tar/neojs $imgdir/.
rm -rf $v45tar/neoimage
rm -rf $v45tar/neojs

cp -rf $v45tar/* $dnetdir/.

# delete v42
rm -rf $v45tar
rm -rf $dnetdir/v45.tar.gz

chown -R www:www $dnetdir

echo "post-uninstall $$ $0" >> /tmp/install.log
exit 0
